## kdegraphics-trinity 3.5.13.2

=== kcoloredit/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


#### other data #################################

tde_install_icons( kcoloredit kcolorchooser )

install( FILES
    kcoloredit.desktop kcolorchooser.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR} )

install( FILES
    kcoloreditui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kcoloredit )


#### kcoloredit (executable) ####################

tde_add_executable( kcoloredit AUTOMOC
  SOURCES
    kzcolorselector.cpp imageselection.cpp
    texteditselection.cpp gradientselection.cpp colorselector.cpp
    kxycolorselector.cpp paletteview.cpp paletteviewscrolledarea.cpp
    editablestreamhistory.cpp color.cpp palette.cpp loadpalettedlg.cpp
    kcoloreditview.cpp kcoloreditdoc.cpp kcoloredit.cpp main.cpp
  LINK kio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kcolorchooser (executable) ################

tde_add_executable( kcolorchooser AUTOMOC
  SOURCES kcolorchooser.cpp
  LINK kdeui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)
