=== debian/changelog ===
kdegraphics-trinity (4:3.5.13.2-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 07:35:10 +0200

kdegraphics-trinity (4:3.5.10-0ubuntu2) karmic; urgency=low

  * Karmic rebuild number 2

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 14 Dec 2009 02:41:00 -0600

kdegraphics-trinity (4:3.5.10-0ubuntu1) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kdegraphics-trinity (4:3.5.10-0ubuntu1~intrepid7) intrepid; urgency=low

  * Moved colliding pixmaps and manpages to /opt/trinity (closes Bug 67)

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 10 Apr 2009 09:48:00 -0600

kdegraphics-trinity (4:3.5.10-0ubuntu1~intrepid6) intrepid; urgency=low

  * Added rotation feature to KPDF

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 29 Mar 2009 15:41:00 -0600

kdegraphics-trinity (4:3.5.10-0ubuntu1~intrepid5) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 27 Feb 2009 22:49:00 -0600

kdegraphics-trinity (4:3.5.10-0ubuntu1~intrepid3) intrepid; urgency=low

  * SVN import

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 24 Nov 2008 14:32:00 -0600

kdegraphics (4:3.5.10-0ubuntu1~hardy1) hardy-backports; urgency=low

  * New upstream bugfix release (LP: #261366)
    - Bump build-dep of kdelibs4-dev to 3.5.10
    - Freshen kubuntu_07_kpdf_category.diff 

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Aug 2008 00:43:37 -0400

kdegraphics (4:3.5.9-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:27:07 +0000

kdegraphics (4:3.5.8-2ubuntu7) hardy; urgency=low

  * patches/kubuntu_07_kpdf_category.diff: Change the category in
    kpdf's .desktop file from "Graphics" to "Office" (LP: #81725).

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Sat, 05 Jan 2008 13:41:38 +0100

kdegraphics (4:3.5.8-2ubuntu6) hardy; urgency=low

  * Fix build error with g++-4.3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Jan 2008 12:29:58 +0000

kdegraphics (4:3.5.8-2ubuntu5) hardy; urgency=low

  * Rebuild for libopenexr transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Dec 2007 17:33:17 +0000

kdegraphics (4:3.5.8-2ubuntu4) hardy; urgency=low

  * Remove kuickshow depends from kdegraphics-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 27 Nov 2007 10:12:34 +0000

kdegraphics (4:3.5.8-2ubuntu3) hardy; urgency=low

  * Don't build-dep on xpdf-common

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 09:35:05 +0000

kdegraphics (4:3.5.8-2ubuntu2) hardy; urgency=low

  * Merge with Debian, remaining changes in KUBUNTU-DEBIAN-DIFFERENCES

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 17:25:32 +0000

kdegraphics (4:3.5.8-2) unstable; urgency=low

  * Patch to multiple xpdf based vulnerabilities. (Closes: #450630)
    CVE-2007-4352, CVE-2007-5392, CVE-2007-5393.
  * Make kdegrahpics binNMU safe. Thanks Lior! (Closes: #448254)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 11 Nov 2007 19:50:13 +0100

kdegraphics (4:3.5.8-1) unstable; urgency=low

  * New upstream release.
  
  +++ Changes by Francesco Pedrini:

  * Added manpage for KFaxview.
  * Removed 20_post-3.5.7-kdegraphics-CVE-2007-3387.diff which was merged
  	upstream.
  * Switched ${Source-Version} to ${source:Version} in debian/control.
  * Added chrpath to Build-Depends for powerpc in order to fix RPATH issue on
    powerpc.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Little fixes in the description in debian/control.

 -- Francesco Pedrini <francesco.pedrini@gmail.com>  Wed, 10 Oct 2007 00:53:17 +0200

kdegraphics (4:3.5.7-4) unstable; urgency=high

  * Patch for stack-based buffer overflow in the StreamPredictor::getNextLine
    function in xpd that might allow remote attackers to execute arbitrary code 
    via a crafted PDF file. CVE-2007-504. (Closes: #444015)

  * Update section in Debian menu files. Thanks to Yann Dirson for
    suggestions. (Closes: #435120)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 26 Sep 2007 11:15:28 +0200

kdegraphics (4:3.5.7-3) unstable; urgency=high

  * Implement use of uploaders.mk and update uploaders.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Patch for vulnerability in xpdf that can cause a stack based buffer
    overflow via a PDF file that exploits an integer overflow in
    StreamPredictor::StreamPredictor(). CVE-2007-3387
  * Some little improvements in the debian/copyright file, GFDL text removed
    and reemplazed by a link to common-licenses.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 23 Jul 2007 22:56:37 +0200

kdegraphics (4:3.5.7-2) unstable; urgency=low

  * Build against new poppler. (Closes: #425605)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 25 May 2007 20:07:32 +0100

kdegraphics (4:3.5.8-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Oct 2007 11:41:21 +0100

kdegraphics (4:3.5.7-1ubuntu6) gutsy; urgency=low

  * debian/patches/kubuntu_05_poppler.diff: Resolved the three remaining
    FIXMEs for porting to current poppler API.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Sep 2007 17:52:11 +0200

kdegraphics (4:3.5.7-1ubuntu5) gutsy; urgency=low

  * Add back updated kubuntu_05_poppler.diff to build with poppler
    instead of internal xpdf copy

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 06 Sep 2007 22:52:20 +0100

kdegraphics (4:3.5.7-1ubuntu4) gutsy; urgency=low

  * Rebuild for the libpoppler1 -> libpopper2 transistion.
  * Munge Maintainer field as per spec.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed,  5 Sep 2007 22:47:49 +1000

kdegraphics (4:3.5.7-1ubuntu3) gutsy; urgency=low

  * SECURITY UPDATE: xpdf buffer overflow

