=== debian/control ===
Source: kdegraphics-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Francesco Pedrini <francesco.pedrini@gmail.com>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: imlib11-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 5.0.31), quilt, autotools-dev, gawk, gettext, kdelibs4-trinity-dev (>= 4:3.5.10), libexif-dev (>= 0.6.9-1), libfribidi-dev, freeglut3-dev, libgphoto2-2-dev, libopenexr-dev (>= 1.2.1), libpaper-dev, libpoppler-private-dev | libpoppler-dev (<< 0.18.4-3), libpoppler-dev, libsane-dev (>> 1.0.15), libtiff-dev, libtiff-tools, libusb-dev, sharutils, libxxf86vm-dev, chrpath [powerpc], cmake, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kdegraphics-trinity
Section: kde
Architecture: all
Depends: kamera-trinity (>= ${source:Version}), kcoloredit-trinity (>= ${source:Version}), kdegraphics-kfile-plugins-trinity (>= ${source:Version}), kdvi-trinity (>= ${source:Version}), kfax-trinity (>= ${source:Version}), kfaxview-trinity (>= ${source:Version}), kgamma-trinity (>= ${source:Version}), kghostview-trinity (>= ${source:Version}), kiconedit-trinity (>= ${source:Version}), kmrml-trinity (>= ${source:Version}), kolourpaint-trinity (>= ${source:Version}), kooka-trinity (>= ${source:Version}), kpdf-trinity (>= ${source:Version}), kpovmodeler-trinity (>= ${source:Version}), kruler-trinity (>= ${source:Version}), ksnapshot-trinity (>= ${source:Version}), ksvg-trinity (>= ${source:Version}), kview-trinity (>= ${source:Version}), kviewshell-trinity (>= ${source:Version}), libkscan1-trinity (>= ${source:Version})
Suggests: kdegraphics-trinity-doc-html (>= ${source:Version})
Description: graphics apps from the official Trinity release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of graphics applications
 provided with the official release of Trinity.

Package: kdegraphics-trinity-doc-html
Architecture: all
Section: doc
Suggests: konqueror-trinity | www-browser, kdebase-trinity
Description: KDE graphics documentation in HTML format
 By default the modules provided by KDE only provide their documentation
 in KDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the KDE graphics documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /usr/share/doc/tde/HTML/<language>/<app>/, for instance
 /usr/share/doc/tde/HTML/en/kamera/. Documentation is provided for most
 KDE graphics packages.
 .
 This package is part of Trinity, and a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kamera-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: digital camera io_slave for Konqueror
 This is a digital camera io_slave for KDE which uses gphoto2 and libgpio
 to allow access to your camera's pictures with the URL camera:/
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kcoloredit-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: a color palette editor and color picker for KDE
 This package contains two programs, a color palette editor and also a color
 picker.
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kdegraphics-trinity-dev
Section: devel
Architecture: any
Depends: kghostview-trinity (= ${binary:Version}), kmrml-trinity (= ${binary:Version}), kpovmodeler-trinity (= ${binary:Version}), ksvg-trinity (= ${binary:Version}), kview-trinity (= ${binary:Version}), kviewshell-trinity (= ${binary:Version}), kdelibs4-trinity-dev (>= 4:3.5.8)
Description: development files for the KDE graphics module
 This package contains headers and other development files for the KDE
 graphics module.
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kdegraphics-kfile-plugins-trinity
Section: kde
Architecture: any
Depends: ${shlibs:Depends}
Recommends: ghostscript
Description: KDE metainfo plugins for graphic files
 This packages provides meta information for graphic files (file sizes,
 tags, etc. all from within the file manager).
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kdvi-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, texlive-fonts-recommended
Suggests: khelpcenter-trinity
Replaces: kdebase-data-trinity (<< 4:3.3.91)
Description: dvi viewer for KDE
 This program and KPart allow the user to display *.DVI files from TeX.
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kfax-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, libtiff-tools
Description: G3/G4 fax viewer for Trinity
 A fax viewer for Trinity, supporting the display of raw and tiffed fax images
 (g3, g3-2d, g4).
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kfaxview-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Description: G3/G4 fax viewer for Trinity using kviewshell
 A fax viewer for Trinity, supporting the display of raw and tiffed fax images
 (g3, g3-2d, g4).
 .
 This faxviewer uses kviewshell and is intended to replace the standalone
 kfax application once it reproduces all of kfax's features.
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kgamma-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: gamma correction module for the Trinity Control Center
 KGamma is a Trinity Control Center module for gamma calibration/correction
 of XFree86. With proper gamma settings, your display (websites, images,
 etc.) will look the same on your monitor as on other monitors.
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.
 .
  Homepage: http://kgamma.berlios.de/index2.php

Package: kghostview-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ghostscript-x
Suggests: khelpcenter-trinity
Provides: postscript-viewer, pdf-viewer
Description: PostScript viewer for Trinity
 KGhostview is Trinity's PostScript viewer. It is a port of Tim Theisen's
 Ghostview program which is used to view documents prepared in Adobe's
 PostScript page description language. PostScript is the major page
 description language for printing on UNIX systems, and this application is
 useful to preview material intended for printing, or for reading documents
 online.
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kiconedit-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: an icon editor for Trinity
 KIconedit allows you easily to create and edit icons.
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kmrml-trinity
Section: kde
Architecture: any
Depends: ${shlibs:Depends}
Recommends: gnuift
Description: a Konqueror plugin for searching pictures
 MRML is short for Multimedia Retrieval Markup Language, which defines a
 protocol for querying a server for images based on their content. See 
 http://www.mrml.net about MRML and the GNU Image Finding Tool (GIFT), an 
 MRML server.
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kolourpaint-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: a simple paint program for Trinity
 KolourPaint is a very simple paint program for Trinity. It aims to be
 conceptually simple to understand; providing a level of functionality
 targeted towards the average user. It's designed for daily tasks like:
 .
  * Painting - drawing diagrams and "finger painting" 
  * Image Manipulation - editing screenshots and photos; applying effects 
  * Icon Editing - drawing clipart and logos with transparency 
 .
 It's not an unusable and monolithic program where simple tasks like
 drawing lines become near impossible. Nor is it so simple that it lacks
 essential features like Undo/Redo.
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.
 .
  Homepage: http://kolourpaint.sourceforge.net

Package: kooka-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Recommends: ocrad | gocr
Suggests: khelpcenter-trinity
Description: scanner program for Trinity
 Kooka is an open source GNU/Linux scan program based on SANE and
 KScan library.
 .
 Kooka helps you to handle the most important scan parameters, find the
 correct image file format to save and manage your scanned images. It
 offers support for different OCR modules. Libkscan, a autonomous part
 of Kooka, provides a scan service for easy and consistent use to all
 KDE applications.
 .
 Install ocrad or gocr if you wish to enable optical character recognition
 in kooka.
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.
 .
  Homepage: http://kooka.kde.org/

Package: kpdf-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Recommends: kghostview-trinity (= ${binary:Version})
Suggests: khelpcenter-trinity
Provides: pdf-viewer
Description: PDF viewer for Trinity
 KPDF allows you to view PDF (Portable Document Format) files. This package
 includes kpdfpart so you can embed in konqueror or run as a standalone
 application.
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kpovmodeler-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity, povray
Description: a graphical editor for povray scenes
 KPovmodeler is KDE's graphical editor for povray scenes. KPovModeler is a
 modeling and composition program for creating POV-Ray scenes in KDE.
 .
 For most modelers, POV-Ray is nothing but a rendering engine. This greatly
 limits the innate possibilities of the POV-Ray scripted language. This
 is not the case for KPovModeler, which allows you to use all the features
 of POV-Ray through the translation of POV-Ray language into a graphical
 tree.
 .
 kpovmodeler uses the povray package, currently available only in Debian's
 non-free, unsupported repository.
 .
